<template>
  <svg
    :width="width"
    :height="height"
    :viewBox="viewBox"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      v-if="filled"
      d="M13.7579 25.6993C14.1703 26.1002 14.8297 26.1002 15.2421 25.6993L26.3754 14.8743C29.8749 11.4716 29.8749 5.9453 26.3754 2.54267C23.1264 -0.61635 18.0044 -0.831789 14.5 1.89635C10.9956 -0.831789 5.87363 -0.61635 2.62465 2.54267C-0.874882 5.9453 -0.874882 11.4716 2.62465 14.8743L13.7579 25.6993Z"
      :fill="color"
    />
    <path
     v-else-if="size=='large'"
      fill-rule="evenodd"
      clip-rule="evenodd"
     d="M13.7579 25.6993L2.62464 14.8743C-0.874882 11.4716 -0.874882 5.9453 2.62464 2.54267C5.87363 -0.61635 10.9956 -0.831789 14.5 1.89636C18.0044 -0.831789 23.1264 -0.61635 26.3754 2.54267C29.8749 5.9453 29.8749 11.4716 26.3754 14.8743L15.2421 25.6993C14.8297 26.1003 14.1703 26.1003 13.7579 25.6993ZM4.10909 4.04943C1.45989 6.62528 1.45989 10.7919 4.10909 13.3678L14.5002 23.4712L24.8914 13.3678C27.5406 10.7919 27.5406 6.62528 24.8914 4.04943C22.2294 1.46119 17.9043 1.46119 15.2423 4.04943C14.8299 4.45042 14.1706 4.45042 13.7581 4.04943C11.0962 1.46119 6.77104 1.46119 4.10909 4.04943Z"
      :fill="color"
    />
    <path
     v-else-if="size=='normal'"
      fill-rule="evenodd"
      clip-rule="evenodd"
     d="M7.59056 13.8381L1.44808 8.00922C-0.482693 6.17704 -0.482693 3.20132 1.44808 1.36913C3.24062 -0.331881 6.06651 -0.447887 8 1.02111C9.93349 -0.447887 12.7594 -0.331881 14.5519 1.36913C16.4827 3.20132 16.4827 6.17704 14.5519 8.00922L8.40944 13.8381C8.1819 14.054 7.8181 14.054 7.59056 13.8381ZM2.26705 2.18038C0.805427 3.56738 0.805427 5.81097 2.26705 7.19796L8.0001 12.6383L13.7332 7.19796C15.1948 5.81097 15.1948 3.56738 13.7332 2.18038C12.2645 0.786714 9.8782 0.786714 8.40954 2.18038C8.182 2.3963 7.8182 2.3963 7.59067 2.18038C6.122 0.786714 3.73572 0.786714 2.26705 2.18038Z"
      :fill="color"
    />
  </svg>

</template>

<script>
export default {
  props: {
    color: {
      default: '#626262'
    },
    size: {
      default: 'normal',
      type: String
    },
    filled: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    width () {
      if (this.size === 'normal') {
        return 16
      }

      return 29
    },

    height () {
      return this.width * 87.5 / 100
    },
    viewBox () {
      return `0 0 ${this.width} ${this.height}`
    }
  }
}
</script>
